Bug 2791 - [UPDATE REQUEST] digikam 3.4.0 -> 3.5.0
: [UPDATE REQUEST] digikam 3.4.0 -> 3.5.0
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 20:07 MSD by Andrey Bondrov
Modified: 2013-10-16 09:50 MSD (History)
3 users (show)

See Also:
RPM Package: digikam
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
dd1.png (849.93 KB, image/png)
2013-10-11 10:40 MSD, Postnikov Dmitry
Details
dd2.png (287.18 KB, image/png)
2013-10-11 10:41 MSD, Postnikov Dmitry
Details
dd3.png (571.05 KB, image/png)
2013-10-11 10:42 MSD, Postnikov Dmitry
Details
dd4.png (660.44 KB, image/png)
2013-10-11 10:42 MSD, Postnikov Dmitry
Details
dd5.png (343.29 KB, image/png)
2013-10-11 10:47 MSD, Postnikov Dmitry
Details
digikam1.txt (22.62 KB, text/plain)
2013-10-11 11:09 MSD, Postnikov Dmitry
Details
Video slide show broken in 3.4.0 (59.60 KB, image/png)
2013-10-11 12:58 MSD, Andrey Bondrov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2013-10-10 20:07:50 MSD
New version of Digikam is released.
Comment 1 Andrey Bondrov 2013-10-10 20:13:12 MSD
Advisory: "New version 3.5.0. It adds few minor features and fixes several bugs"

https://abf.rosalinux.ru/build_lists/1342135
https://abf.rosalinux.ru/build_lists/1342136
Comment 2 Postnikov Dmitry 2013-10-11 10:39:10 MSD
Program crashes when creating a slide show.
==============
Oct 11 10:34:31 mindlife2 kernel: [  816.594247] KIPIVideoSlideS[16825]: segfault at 8 ip 00007fe78bdf4c8b sp 00007fe7b9232c10 error 4 in kipiplugin_videoslideshow.so[7fe78bddb000+23000]
Oct 11 10:34:31 mindlife2 [16826]: Process 9506 (KIPIVideoSlideS) dumped core.
Oct 11 10:35:56 mindlife2 systemd-tmpfiles[18270]: stat(/run/user/500/gvfs) failed: Permission denied
Oct 11 10:37:35 mindlife2 kernel: [ 1000.341379] KIPIVideoSlideS[19441]: segfault at 8 ip 00007fa141a50c8b sp 00007fa10ea40c10 error 4 in kipiplugin_videoslideshow.so[7fa141a37000+23000]
Oct 11 10:37:35 mindlife2 [19442]: Process 18272 (KIPIVideoSlideS) dumped core.
[root@mindlife2 pastordi]#
==============
Comment 3 Postnikov Dmitry 2013-10-11 10:40:50 MSD
Created attachment 1993 [details]
dd1.png

At start of the program, at the bottom of the message in English and html tags are still visible.
Comment 4 Postnikov Dmitry 2013-10-11 10:41:56 MSD
Created attachment 1994 [details]
dd2.png

 	
Not transferred some places.
Comment 5 Postnikov Dmitry 2013-10-11 10:42:22 MSD
Created attachment 1995 [details]
dd3.png

 	
Not transferred some places.
Comment 6 Postnikov Dmitry 2013-10-11 10:42:50 MSD
Created attachment 1996 [details]
dd4.png

 	
Not transferred some places.
Comment 7 Postnikov Dmitry 2013-10-11 10:47:17 MSD
Created attachment 1997 [details]
dd5.png

 	
Not transferred some places.(calendar)
Comment 8 Postnikov Dmitry 2013-10-11 11:09:43 MSD
Created attachment 1998 [details]
digikam1.txt

When installing the program, she pulled packages gdb+abrt. Is this normal?
Comment 9 Postnikov Dmitry 2013-10-11 12:53:13 MSD
Panorama not start.
==========================
Oct 11 12:51:37 mindlife2 kernel: [ 1801.799567] panoramagui[6240]: segfault at 1bc1 ip 00007f073fc5e706 sp 00007fff29c80ac0 error 4 in libQtCore.so.4.8.5[7f073fb35000+2c4000]
Oct 11 12:51:37 mindlife2 [6254]: Process 6240 (panoramagui) dumped core.
=========================
Comment 10 Andrey Bondrov 2013-10-11 12:57:49 MSD
(In reply to comment #2)
> Program crashes when creating a slide show.

Just checked. Video slide show doesn't work in 3.4.0 as well. And even for 3.3.0 it's know not to work, see upstream bug: https://bugs.kde.org/show_bug.cgi?id=324646
Comment 11 Andrey Bondrov 2013-10-11 12:58:52 MSD
Created attachment 2008 [details]
Video slide show broken in 3.4.0
Comment 12 Andrey Bondrov 2013-10-14 11:02:54 MSD
(In reply to comment #11)
> Created attachment 2008 [details]
> Video slide show broken in 3.4.0

This issue is fixed now. Panorama crash on startup is fixed as well. Russian translations should be fine now.

https://abf.rosalinux.ru/build_lists/1345951
https://abf.rosalinux.ru/build_lists/1345952
Comment 13 Vladimir Potapov 2013-10-14 18:39:53 MSD
This is no regression. but http://bugs.rosalinux.ru/show_bug.cgi?id=2893
Comment 14 Vladimir Potapov 2013-10-15 09:04:26 MSD
digikam-3.5.0-1.3-rosa2012.1
******************** Advisory ***********************
New version 3.5.0. It adds few minor features and fixes several bugs.
Yandex.fotki now work!
*****************************************************
QA Verified